Bug 546265

Summary: SELinux is preventing /usr/libexec/hal-storage-mount "sys_resource" access.
Product: [Fedora] Fedora Reporter: Giandomenico De Tullio <ghisha>
Component: selinux-policyAssignee: Daniel Walsh <dwalsh>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: dwalsh, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:b18c601dea520c013628fa6238edf55341c007c6759cc5947fa60c01bde860dd
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-22 20:42:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Giandomenico De Tullio 2009-12-10 15:06:45 UTC
Sommario:

SELinux is preventing /usr/libexec/hal-storage-mount "sys_resource" access.

Descrizione dettagliata:

[hal-storage-mou presenta una tipologia permissiva (hald_t). Questo accesso non
è stato negato.]

SELinux denied access requested by hal-storage-mou. It is not expected that this
access is required by hal-storage-mou and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Abilitazione accesso in corso:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Informazioni aggiuntive:

Contesto della sorgente       system_u:system_r:hald_t:s0
Contesto target               system_u:system_r:hald_t:s0
Oggetti target                None [ capability ]
Sorgente                      hal-storage-mou
Percorso della sorgente       /usr/libexec/hal-storage-mount
Porta                         <Sconosciuto>
Host                          (removed)
Sorgente Pacchetti RPM        hal-0.5.14-1.fc12
Pacchetti RPM target          
RPM della policy              selinux-policy-3.6.32-55.fc12
Selinux abilitato             True
Tipo di policy                targeted
Modalità Enforcing           Enforcing
Nome plugin                   catchall
Host Name                     (removed)
Piattaforma                   Linux (removed)
                              2.6.31.6-162.fc12.i686 #1 SMP Fri Dec 4 01:09:09
                              EST 2009 i686 i686
Conteggio avvisi              2
Primo visto                   gio 10 dic 2009 15:26:16 CET
Ultimo visto                  gio 10 dic 2009 15:26:16 CET
ID locale                     bdcf44ab-142c-4a95-885b-4b6cffe82362
Numeri di linea               

Messaggi Raw Audit            

node=(removed) type=AVC msg=audit(1260455176.664:91): avc:  denied  { sys_resource } for  pid=10466 comm="hal-storage-mou" capability=24 scontext=system_u:system_r:hald_t:s0 tcontext=system_u:system_r:hald_t:s0 tclass=capability

node=(removed) type=SYSCALL msg=audit(1260455176.664:91): arch=40000003 syscall=4 success=yes exit=63 a0=6 a1=b7758000 a2=3f a3=3f items=0 ppid=1007 pid=10466 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="hal-storage-mou" exe="/usr/libexec/hal-storage-mount" subj=system_u:system_r:hald_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-55.fc12,catchall,hal-storage-mou,hald_t,hald_t,capability,sys_resource
audit2allow suggests:

#============= hald_t ==============
allow hald_t self:capability sys_resource;

Comment 1 Daniel Walsh 2009-12-10 16:27:49 UTC
Any chance your system is running out of disk space on a partition.  This is what sys_resource access usually means.

If you free up the memory, hal will probably stop complaining.

Comment 2 Daniel Walsh 2009-12-10 16:28:45 UTC
I will add this access, but you should still clean this up.

Fixed in selinux-policy-3.6.32-58.fc12.noarch

Comment 3 Giandomenico De Tullio 2009-12-10 17:13:17 UTC
Thanks for your #1 (comment).

But isn't better an "dbus-notify-baloon" saying that "all free world is lost" ? ;)

:D

Comment 4 Fedora Update System 2009-12-16 13:54:06 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 5 Fedora Update System 2009-12-18 04:42:18 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384